
Name:    amarok
Summary: Media player
Version: 2.4.3
Release: 1%{?dist}

Group: 	 Applications/Multimedia
# KDE e.V. may determine that future GPL versions are accepted
License: GPLv2 or GPLv3
Url:     http://amarok.kde.org/
Source0: http://download.kde.org/stable/amarok/%{version}/src/amarok-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

#Patch50: amarok-2.2.1.90-qtscript_not_required.patch

## upstream patches

BuildRequires: curl-devel
BuildRequires: desktop-file-utils
## non-modular MusicBrainz-based audio fingerprint tag lookup support :( 
#BuildRequires: ffmpeg-devel libofa-devel
BuildRequires: gettext
BuildRequires: kdelibs4-devel 
%if 0%{?libgpod}
BuildRequires: libgpod-devel >= 0.7.0
%endif
BuildRequires: libifp-devel
BuildRequires: liblastfm-devel
BuildRequires: libmp4v2-devel
BuildRequires: libmtp-devel >= 0.3.0
BuildRequires: libmygpo-qt-devel
BuildRequires: libnjb-devel
BuildRequires: libusb-devel
BuildRequires: libxml2-devel
BuildRequires: loudmouth-devel
# TODO: investigate source of extra libaio linkage -- Rex
BuildRequires: mysql-embedded-devel libaio-devel
BuildRequires: qca2-devel
BuildRequires: soprano-devel
BuildRequires: taglib-devel >= 1.6
BuildRequires: taglib-extras-devel >= 1.0.1

# not strictly required at buildtime, but if it's not available here,
# then you're hosed at runtime anyway
BuildRequires: qtscriptbindings
Requires: qtscriptbindings%{?_isa}
Requires: %{name}-utils = %{version}-%{release}
Requires: kdebase-runtime%{?_kde4_version: >= %{_kde4_version}}
%if 0%{?fedora} == 14
# lame, see http://bugzilla.redhat.com/666173
Requires: libmtp-hal
%endif

Requires: %{name}-libs%{?_isa} = %{version}-%{release}

%description
Amarok is a multimedia player with:
 - fresh playlist concept, very fast to use, with drag and drop
 - plays all formats supported by the various engines
 - audio effects, like reverb and compressor
 - compatible with the .m3u and .pls formats for playlists
 - nice GUI, integrates into the KDE look, but with a unique touch

%package libs
Summary: Runtime libraries for %{name}
Group:   System Environment/Libraries
Requires: %{name} = %{version}-%{release}
%{?_qt4_version:Requires: qt4%{?_isa} >= %{_qt4_version}}
%description libs
%{summary}.

%package utils
Summary: Amarok standalone utilities
Group: Applications/Multimedia
Obsoletes: amarok-collectionscanner < 2.0.90-2
Obsoletes: amarok-utilities < 2.0.96
%description utils 
%{summary}, including amarokcollectionscanner.


%prep
%setup -q 

#patch50 -p1 -b .qtscript_not_required


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}

make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang amarok --with-kde
%find_lang amarokcollectionscanner_qt 
%find_lang amarokpkg 
%find_lang amarok_scriptengine_qscript 
cat amarokpkg.lang >> amarok.lang
cat amarok_scriptengine_qscript.lang >> amarok.lang

# unpackaged files
rm -fv %{buildroot}%{_kde4_libdir}/libamarok{-sqlcollection,_taglib,core,lib,plasma,pud,ocsclient,-transcoding}.so


%check
desktop-file-validate %{buildroot}%{_kde4_datadir}/applications/kde4/amarok.desktop
desktop-file-validate %{buildroot}%{_kde4_datadir}/applications/kde4/amarok_containers.desktop


%clean
rm -rf %{buildroot}


%post
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null || :

%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :
update-desktop-database -q &> /dev/null ||:

%postun
if [ $1 -eq 0 ] ; then
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null || :
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :
update-desktop-database -q &> /dev/null ||:
fi

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig


%files -f amarok.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README
%{_kde4_bindir}/amarok
%{_kde4_bindir}/amarokpkg
%{_kde4_bindir}/amarok_afttagger
%{_kde4_bindir}/amarokmp3tunesharmonydaemon
%{_kde4_appsdir}/amarok/
%{_kde4_appsdir}/kconf_update/amarok*
%{_kde4_appsdir}/desktoptheme/Amarok-Mockup/
%{_kde4_appsdir}/desktoptheme/default/widgets/*
%{_kde4_appsdir}/solid/actions/amarok-play-audiocd.desktop
%{_kde4_configdir}/amarok.knsrc
%{_kde4_configdir}/amarok_homerc
%{_kde4_configdir}/amarokapplets.knsrc
%{_kde4_datadir}/applications/kde4/amarok.desktop
%{_kde4_datadir}/applications/kde4/amarok_containers.desktop
%{_kde4_datadir}/config.kcfg/amarokconfig.kcfg
%{_kde4_datadir}/kde4/services/*.desktop
%{_kde4_datadir}/kde4/services/*.protocol
%{_kde4_datadir}/kde4/services/ServiceMenus/amarok_append.desktop
%{_kde4_datadir}/kde4/servicetypes/*.desktop
%{_kde4_iconsdir}/hicolor/*/*/*
%{_kde4_libdir}/kde4/*.so
%{_datadir}/dbus-1/interfaces/*.xml

%files libs
%defattr(-,root,root,-)
%{_kde4_libdir}/libamarokcore.so.1*
%{_kde4_libdir}/libamaroklib.so.1*
%{_kde4_libdir}/libamarokocsclient.so.4*
%{_kde4_libdir}/libamarokpud.so.1*
%{_kde4_libdir}/libamarok-sqlcollection.so.1*
%{_kde4_libdir}/libamarok-transcoding.so.1*
%{_kde4_libdir}/libampache_account_login.so

%files utils -f amarokcollectionscanner_qt.lang
%defattr(-,root,root,-)
%{_kde4_bindir}/amarokcollectionscanner


%changelog
* Sat Jul 30 2011 Rex Dieter <rdieter@fedoraproject.org> 2.4.3-1
- 2.4.3

* Sun Jul 24 2011 Rex Dieter <rdieter@fedoraproject.org> 2.4.2-2
- don't query kwallet for lastfm credentials on every track change (kde#278177)

* Fri Jul 22 2011 Rex Dieter <rdieter@fedoraproject.org> 2.4.2-1
- 2.4.2

* Fri Jul 08 2011 Rex Dieter <rdieter@fedoraproject.org> 2.4.1.90-1
- 2.4.1.90
- drop no-longer-needed %%ifarch s390 conditionals

* Fri Jun 10 2011 Rex Dieter <rdieter@fedoraproject.org> 2.4.1-4
- drop ancient Obsoletes

* Fri Jun 10 2011 Rex Dieter <rdieter@fedoraproject.org> 2.4.1-3
- rebuild (libmtp)

* Tue May 24 2011 Rex Dieter <rdieter@fedoraproject.org> 2.4.1-2
- BR: libmygpo-qt-devel

* Fri May 06 2011 Rex Dieter <rdieter@fedoraproject.org> 2.4.1-1
- 2.4.1 (final)

* Wed Mar 23 2011 Rex Dieter <rdieter@fedoraproject.org> 2.4.0.90-2
- rebuild (mysql)

* Mon Mar 21 2011 Rex Dieter <rdieter@fedoraproject.org> 2.4.0.90-1
- 2.4.1 beta1

* Wed Feb 09 2011 Rex Dieter <rdieter@fedoraproject.org> 2.4.0-3
- License: GPLv2 or GPLv3 

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jan 11 2011 Rex Dieter <rdieter@fedoraproject.org> 2.4.0-1
- 2.4.0
- libmtp-hal dependency missing for amarok (#666173)

* Tue Dec 28 2010 Rex Dieter <rdieter@fedoraproject.org> 2.3.90-3
- rebuild (mysql)

* Tue Dec 07 2010 Thomas Janssen <thomasj@fedoraproject.org> 2.3.90-2
- fixed missing libampache

* Mon Dec 06 2010 Thomas Janssen <thomasj@fedoraproject.org> 2.3.90-1
- 2.3.90 (2.4beta1)

* Tue Nov 30 2010 Rex Dieter <rdieter@fedoraproject.org> 2.3.2-7
- recognize audio/flac mimetype too (kde#257488)

* Fri Nov 05 2010 Thomas Janssen <thomasj@fedoraproject.org> 2.3.2-6
- rebuild for new libxml2

* Thu Nov 04 2010 Rex Dieter <rdieter@fedoraproject.org> 2.3.2-5
- appletsize patch
- fix/improve ipod3 support patch
- another collectionscanner patch

* Wed Sep 29 2010 jkeating - 2.3.2-4
- Rebuilt for gcc bug 634757

* Fri Sep 24 2010 Thomas Janssen <thomasj@fedoraproject.org> 2.3.2-3
- added patch to fix scanning qt bug/regression

* Mon Sep 20 2010 Thomas Janssen <thomasj@fedoraproject.org> 2.3.2-2
- added patch to fix BPM tags in flac

* Thu Sep 16 2010 Rex Dieter <rdieter@fedoraproject.org> - 2.3.2-1
- amarok-2.3.2

* Thu Sep 16 2010 Dan Horák <dan[at]danny.cz> - 2.3.1.90-3
- no libgpod on s390(x)

* Tue Aug 16 2010 Rex Dieter <rdieter@fedoraproject.org> - 2.3.1.90-2
- fix/patch installation of amarok handbooks

* Mon Aug 16 2010 Rex Dieter <rdieter@fedoraproject.org> - 2.3.1.90-1
- amarok-2.3.1.90 (2.3.2 beta1)

* Fri Jul 09 2010 Rex Dieter <rdieter@fedoraproject.org> - 2.3.1-2
- No Notification Area icon for non-KDE desktops (kde#232578,rh#603336)

* Fri May 28 2010 Rex Dieter <rdieter@fedoraproject.org> - 2.3.1-1
- amarok-2.3.1

* Sat Apr 17 2010 Rex Dieter <rdieter@fedoraproject.org> - 2.3.0.90-1
- amarok-2.3.0.90

* Thu Mar 25 2010 Rex Dieter <rdieter@fedoraproject.org> - 2.3.0-5
- fix mp3 support logic

* Mon Mar 22 2010 Rex Dieter <rdieter@fedoraproject.org> - 2.3.0-4
- rebuild (libgpod) 

* Mon Mar 22 2010 Rex Dieter <rdieter@fedoraproject.org>  - 2.3.0-3
- workaround info applet crasher (kde#227639,kde#229756)

* Thu Mar 11 2010 Rex Dieter <rdieter@fedoraproject.org> - 2.3.0-2
- fix Source0 URL
- -libs: drop unused/extraneous kdelibs4 dep

* Thu Mar 11 2010 Thomas Janssen <thomasj@fedoraproject.org> 2.3.0-1
- amarok 2.3.0

* Sat Feb 13 2010 Rex Dieter <rdieter@fedoraproject.org> - 2.2.2.90-1
- amarok-2.2.2.90 (2.3beta1)

* Thu Jan 28 2010 Rex Dieter <rdieter@fedoraproject.org> - 2.2.2-4
- use %%{_kde4_version} provided elsewhere (kde-filesystem)

* Sun Jan 10 2010 Rex Dieter <rdieter@fedoraproject.org> - 2.2.2-3
- collection scan crash patch, take 2 (kde#220532)

* Fri Jan 08 2010 Rex Dieter <rdieter@fedoraproject.org> - 2.2.2-2
- collection scan crash patch (kde#220532)

* Wed Jan 05 2010 Rex Dieter <rdieter@fedoraproject.org> - 2.2.2-1
- amarok-2.2.2

* Thu Dec 10 2009 Rex Dieter <rdieter@fedoraproject.org> - 2.2.1.90-1
- amarok-2.2.1.90 (2.2.2 beta1)

* Mon Nov 23 2009 Rex Dieter <rdieter@fedoraproject.org> - 2.2.1-3 
- rebuild (for qt-4.6.0-rc1, f13+)

* Mon Nov 16 2009 Rex Dieter <rdieter@fedoraproject.org> 2.2.1-2
- playlist_default_layout_fix.diff (kde#211717)

* Wed Nov 11 2009 Rex Dieter <rdieter@fedoraproject.org> 2.2.1-1
- amarok-2.2.1

* Thu Oct 08 2009 Rex Dieter <rdieter@fedoraproject.org> 2.2.0-3
- upstream lyric.patch

* Fri Oct 02 2009 Rex Dieter <rdieter@fedoraproject.org> 2.2.0-2
- Requires: kdebase-runtime (need kio_trash, kcm_phonon, etc)

* Tue Sep 29 2009 Rex Dieter <rdieter@fedoraproject.org> 2.2.0-1
- amarok-2.2.0

* Wed Sep 23 2009 Rex Dieter <rdieter@fedoraproject.org> 2.1.90-2.20090923git
- 20090923git snapshot

* Mon Sep 21 2009 Rex Dieter <rdieter@fedoraproject.org> 2.1.90-1
- amarok-2.1.90 (2.2rc1)

* Thu Sep 17 2009 Rex Dieter <rdieter@fedoraproject.org> 2.1.85-2
- BR: taglib-devel >= 1.6, taglib-extras-devel >= 1.0

* Mon Sep 14 2009 Rex Dieter <rdieter@fedoraproject.org> 2.1.85-1
- amarok-2.1.85 (2.2beta2)

* Wed Sep 02 2009 Rex Dieter <rdieter@fedoraproject.org> 2.1.80-2
- another lyricwiki fix

* Wed Sep 02 2009 Rex Dieter <rdieter@fedoraproject.org> 2.1.80-1
- amarok-2.1.80 (2.2beta1)
- -libs subpkg

* Fri Aug 21 2009 Tomas Mraz <tmraz@redhat.com> - 2.1.1-5
- rebuilt with new openssl

* Sat Aug 08 2009 Rex Dieter <rdieter@fedoraproject.org> 2.1.1-4
- lyricwiki patch (kdebug#202366)

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jul 07 2009 Rex Dieter <rdieter@fedoraproject.org> 2.1.1-2
- Requires: qtscriptbindings%%{?_isa}  (#510133)

* Fri Jun 12 2009 Rex Dieter <rdieter@fedoraproject.org> 2.1.1-1
- amarok-2.1.1

* Sat May 30 2009 Rex Dieter <rdieter@fedoraproject.org> 2.1-1
- amarok-2.1

* Mon May 18 2009 Rex Dieter <rdieter@fedoraproject.org> 2.0.96-2.20090518
- 20090518svn snapshot

* Mon May 11 2009 Rex Dieter <rdieter@fedoraproject.org> 2.0.96-1
- amarok-2.9.96 (2.1 beta2)
- -utilities -> -utils

* Fri Apr 10 2009 Rex Dieter <rdieter@fedoraproject.org> 2.0.90-2
- -collectionscanner -> -utilities

* Fri Apr 10 2009 Rex Dieter <rdieter@fedoraproject.org> 2.0.90-1
- amarok-2.0.90 (amarok-2.1 beta1)

* Wed Apr 08 2009 Rex Dieter <rdieter@fedoraproject.org> 2.0.2-6
- fix lastfm (kdebug#188678, rhbz#494871)
- fix qtscriptgenerator/qtscriptbindings deps

* Tue Apr 07 2009 Rex Dieter <rdieter@fedoraproject.org> 2.0.2-5
- enable external qtscriptgenerator/qtscriptbindings
- optimize scriptlets

* Tue Mar 10 2009 Rex Dieter <rdieter@fedoraproject.org> 2.0.2-4
- Req: qtscriptgenerator (f11+) (not enabled, pending review)
- use desktop-file-validate

* Fri Mar 06 2009 Rex Dieter <rdieter@fedoraproject.org> 2.0.2-3
- add minimal qt4,kdelibs4 deps

* Wed Mar 04 2009 Rex Dieter <rdieter@fedoraproject.org> 2.0.2-1
- amarok-2.0.2

* Tue Feb 24 2009 Than Ngo <than@redhat.com> 2.0.1.1-6
- fix build issue against gcc-4.4

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 23 2009 Rex Dieter <rdieter@fedoraproject.org> - 2.0.1.1-4
- qt45 patch

* Fri Feb 20 2009 Todd Zullinger <tmz@pobox.com> - 2.0.1.1-3
- Rebuild against libgpod-0.7.0
- Drop gtk2-devel BR, libgpod properly requires that now

* Thu Jan 22 2009 Rex Dieter <rdieter@fedoraproject.org> - 2.0.1.1-2 
- respin (mysql)

* Fri Jan 09 2009 Rex Dieter <rdieter@fedoraproject.org> - 2.0.1.1-1
- amarok-2.0.1.1

* Tue Jan 06 2009 Rex Dieter <rdieter@fedoraproject.org> - 2.0.1-1
- amarok-2.0.1

* Tue Dec 09 2008 Rex Dieter <rdieter@fedoraproject.org> - 2.0-2
- respin tarball

* Fri Dec 05 2008 Rex Dieter <rdieter@fedoraproject.org> - 2.0-1
- amarok-2.0 (final, first cut)

* Fri Nov 21 2008 Rex Dieter <rdieter@fedoraproject.org> - 1.98-1
- amarok-1.98 (2rc1)

* Fri Oct 31 2008 Rex Dieter <rdieter@fedoraproject.org> - 1.94-2
- amarok-1.94 (2beta4)

* Wed Oct 15 2008 Rex Dieter <rdieter@fedoraproject.org> - 1.92.2-1
- amarok-1.92.2 (2beta3)

* Thu Oct 02 2008 Rex Dieter <rdieter@fedoraproject.org> - 1.92-2
- BR: gtk2-devel (gdk-pixbuf ipod artwork support)

* Thu Oct 02 2008 Rex Dieter <rdieter@fedoraproject.org> - 1.92-1
- amarok-1.92 (2beta2)

* Wed Aug 20 2008 Rex Dieter <rdieter@fedoraproject.org> - 1.90-1
- amarok-1.90 (2beta1)

* Tue Jul 22 2008 Rex Dieter <rdieter@fedoraproject.org> - 1.86-1
- amarok-1.86 (amarok2 alpha 2)

* Wed Jun 11 2008 Dennis Gilmore <dennis@ausil.us> - 1.4.9.1-4
- we are building sparc32 as sparcv9 not sparc now  fix ifnarch

* Fri May  2 2008 Rex Dieter <rdieter@fedoraproject.org> - 1.4.9.1-3
- fix libnjb support (#444940)

* Thu May  1 2008 Rex Dieter <rdieter@fedoraproject.org> - 1.4.9.1-2.1
- --with-libvisual fedora-only (epel misses libvisual-plugins)

* Thu Apr 17 2008 Rex Dieter <rdieter@fedoraproject.org> - 1.4.9.1-2
- specfile typo (unclosed macro)

* Tue Apr 15 2008 Rex Dieter <rdieter@fedoraproject.org> - 1.4.9.1-1
- amarok-1.4.9.1

* Wed Mar 12 2008 Rex Dieter <rdieter@fedoraproject.org> - 1.4.8-5
- -konqueror: drop Obsoletes: %%name < 1.4.8-4 , which breaks 
  multilib upgrades (#436578)

* Thu Feb 21 2008 Rex Dieter <rdieter@fedoraproject.org> - 1.4.8-4
- -konqueror subpkg (#426803)
- fix multiarch conflicts (#340641)
  drop Provides: amarok-devel (f9+), add Obsoletes: amarok-devel
- gcc43 patch (#433904)

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.4.8-3
- Autorebuild for GCC 4.3

* Wed Jan 09 2008 Rex Dieter <rdieter[AT]fedoraproject.org> 1.4.8-2
- f9+: don't build/include konq(3) side bar support

* Thu Dec 20 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 1.4.8-1
- amarok-1.4.8

* Fri Dec 07 2007 Alex Lancaster <alexlan[AT]fedoraproject.org> 1.4.7-14
- Rebuild for new openssl

* Thu Nov 29 2007 Rex Dieter <rdieter[AT]fedoraproejct.org> 1.4.7-13
- fix --with-mp4v2 handling (#346011#c5,6)

* Thu Nov 29 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 1.4.7-12
- --with-mp4v2 (#346011#c3)
- fix asf/wma support (rh#346011,kde#151733)

* Wed Nov 21 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 1.4.7-11
- dynamic mode floods playlist ... (kde #148317)

* Wed Nov 21 2007 Todd Zullinger <tmz@pobox.com> 1.4.7-10
- rebuild for libgpod-0.6.0

* Tue Nov 20 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 1.4.7-9
- cosmetics (cleanup/sort BR's mostly)
- omit "for KDE" from summary/description
- make gst support toggled by macro (disabled by default)

* Sat Nov 10 2007 Aurelien Bompard <abompard@fedoraproject.org> 1.4.7-8
- rebuild

* Sun Oct 07 2007 Aurelien Bompard <abompard@fedoraproject.org> 1.4.7-7
- use xdg-open to start the configured browser

* Sat Oct 06 2007 Aurelien Bompard <abompard@fedoraproject.org> 1.4.7-6
- add "alpha" to the list of archs where HelixPlayer is not available
  (bug 318431)

* Fri Sep 28 2007 Aurelien Bompard <abompard@fedoraproject.org> 1.4.7-5
- add patch 1 to fix Fedora bug 242862: Amarok doesn't support transfer
  of Unicode filenames to MTP devices

* Sun Sep 02 2007 Aurelien Bompard <abompard@fedoraproject.org> 1.4.7-4
- add patch for kde bug 147126 : amarok freezes when trying to play
  mp3 files without mp3 support

* Fri Aug 24 2007 Todd Zullinger <tmz@pobox.com> 1.4.7-3
- rebuild with libgpod-0.5.2

* Sat Aug 18 2007 Aurelien Bompard <abompard@fedoraproject.org> 1.4.7-2
- version 1.4.7

* Sun Aug 05 2007 Aurelien Bompard <abompard@fedoraproject.org> 1.4.6-3
- rebuild for new libmtp (bug 250905)

* Wed Jun 27 2007 Aurelien Bompard <abompard@fedoraproject.org> 1.4.6-2
- add explicit Requires on kdelibs >= 3.5.7 to fix bug 245386

* Mon Jun 18 2007 Aurelien Bompard <abompard@fedoraproject.org> 1.4.6-1
- version 1.4.6

* Mon Feb 19 2007 Aurelien Bompard <abompard@fedoraproject.org> 1.4.5-4
- have the visualisation subpackage require libvisual-plugins (bug 229131)

* Thu Feb 15 2007 Aurelien Bompard <abompard@fedoraproject.org> 1.4.5-3
- fix patch (provided by upstream)

* Wed Feb 14 2007 Aurelien Bompard <abompard@fedoraproject.org> 1.4.5-2
- add patch to fix CVE-2006-6979 (bug 228138)

* Sat Feb 03 2007 Aurelien Bompard <abompard@fedoraproject.org> 1.4.5-1
- version 1.4.5
- drop patch0 and patch1 (merged upstream)

* Thu Jan 25 2007 Aurelien Bompard <abompard@fedoraproject.org> 1.4.4-7
- add patch to enable building with libgpod >= 0.4.2, thanks go to Todd Zullinger

* Wed Jan 17 2007 Aurelien Bompard <abompard@fedoraproject.org> 1.4.4-6
- rebuild for new libgpod

* Thu Jan 11 2007 Aurelien Bompard <abompard@fedoraproject.org> 1.4.4-5
- HelixPlayer is not available on Sparc, exclude it from this arch too
  (#221058)

* Tue Dec 19 2006 Aurelien Bompard <abompard@fedoraproject.org> 1.4.4-4
- add patch to make lastfm work with xine-lib 1.1.3 (sent by upstream)

* Sat Dec 09 2006 Aurelien Bompard <abompard@fedoraproject.org> 1.4.4-3
- rebuild

* Wed Dec 06 2006 Aurelien Bompard <abompard@fedoraproject.org> 1.4.4-2
- rebuild

* Fri Oct 27 2006 Aurelien Bompard <abompard@fedoraproject.org> 1.4.4-1
- version 1.4.4
- enable xine support since xine is now in Fedora

* Sat Oct 07 2006 Aurelien Bompard <abompard@fedoraproject.org> 1.4.3-6
- rebuild for new libtunepimp

* Thu Oct 05 2006 Aurelien Bompard <abompard@fedoraproject.org> 1.4.3-5
- add libmtp support

* Sun Oct 01 2006 Aurelien Bompard <abompard@fedoraproject.org> 1.4.3-4
- rebuild

* Fri Sep 15 2006 Aurelien Bompard <abompard@fedoraproject.org> 1.4.3-3
- add patch for playlist encoding

* Wed Sep 13 2006 Aurelien Bompard <abompard@fedoraproject.org> 1.4.3-2
- buildrequires ruby-devel (checked by configure)

* Wed Sep 13 2006 Aurelien Bompard <abompard@fedoraproject.org> 1.4.3-1
- update to 1.4.3

* Thu Aug 31 2006 Aurelien Bompard <abompard@fedoraproject.org> 1.4.2-2
- add amarok patchset 1

* Wed Aug 30 2006 Aurelien Bompard <abompard@fedoraproject.org> 1.4.2-1
- update to 1.4.2
- don't build on x86_64 (requested by the amarok devs)

* Wed Jul 19 2006 Aurelien Bompard <abompard@fedoraproject.org> 1.4.1-3
- fix the gstreamer engine (wrong X-KDE-Amarok-framework-version)

* Sat Jul 08 2006 Aurelien Bompard <abompard@fedoraproject.org> 1.4.1-2
- BuildRequires ruby

* Sat Jul 08 2006 Aurelien Bompard <abompard@fedoraproject.org> 1.4.1-1
- version 1.4.1
- make it possible to build the gst10 engine with a "--with gst10" switch

* Wed May 24 2006 Aurelien Bompard <gauret[AT]free.fr> 1.4.0-5
- Require HelixPlayer on archs where it is the only engine available

* Sun May 21 2006 Aurelien Bompard <gauret[AT]free.fr> 1.4.0-4
- really fix building gst engine on x86_64

* Sun May 21 2006 Aurelien Bompard <gauret[AT]free.fr> 1.4.0-3
- missing buildrequires

* Sun May 21 2006 Aurelien Bompard <gauret[AT]free.fr> 1.4.0-2
- gstreamer engine has been disabled, bring it back in SOURCE1
  where Helix is unavailable (only engine available)

* Mon May 15 2006 Aurelien Bompard <gauret[AT]free.fr> 1.4-1
- version 1.4 final

* Mon May 01 2006 Aurelien Bompard <gauret[AT]free.fr> 1.4-0.13.rc1
- rc1

* Fri Apr 14 2006 Aurelien Bompard <gauret[AT]free.fr> 1.4-0.12.beta3
- add patch to make Gstreamer sufficient to build (only engine available
  on x86_64

* Sun Apr 09 2006 Aurelien Bompard <gauret[AT]free.fr> 1.4-0.11.beta3
- drop the non-free bits
- beta 3 (akode has been disabled)

* Wed Mar 22 2006 Aurelien Bompard <gauret[AT]free.fr> 1.4-0.10.beta2
- enable libgpod support

* Wed Mar 22 2006 Aurelien Bompard <gauret[AT]free.fr> 1.4-0.9.beta2
- make amarok build even with gstreamer only

* Sun Mar 05 2006 Aurelien Bompard <gauret[AT]free.fr> 1.4-0.8.beta2
- version 1.4 beta2

* Wed Feb 22 2006 Aurelien Bompard <gauret[AT]free.fr> 1.4-0.7.beta1
- disable build of Helix engine on x86_64

* Wed Feb 22 2006 Aurelien Bompard <gauret[AT]free.fr> 1.4-0.6.beta1
- remove requirement on HelixPlayer for x86_64, amarok include the headers

* Wed Feb 22 2006 Aurelien Bompard <gauret[AT]free.fr> 1.4-0.5.beta1
- build Helix engine on x86_64

* Wed Feb 22 2006 Aurelien Bompard <gauret[AT]free.fr> 1.4-0.4.beta1
- fix gstramer 0.10 detection again

* Mon Feb 20 2006 Aurelien Bompard <gauret[AT]free.fr> 1.4-0.3.beta1
- fix gstreamer 0.10 detection

* Fri Feb 17 2006 Aurelien Bompard <gauret[AT]free.fr> 1.4-0.1.beta1
- fix gstreamer dependency

* Wed Feb 15 2006 Aurelien Bompard <gauret[AT]free.fr> 1.4-0.1.beta1
- version 1.4-beta1

* Sun Feb 12 2006 Aurelien Bompard <gauret[AT]free.fr> 1.3.8-2
- fix BR for gstreamer < 0.10

* Sat Jan 21 2006 Aurelien Bompard <gauret[AT]free.fr> 1.3.8-1
- version 1.3.8

* Wed Dec 07 2005 Aurelien Bompard <gauret[AT]free.fr> 1.3.7-1
- version 1.3.7

* Sun Nov 20 2005 Aurelien Bompard <gauret[AT]free.fr> 1.3.6-2
- build with libtunepimp
- add patch to use libtunepimp 0.4.0 (api changed)

* Tue Nov 08 2005 Aurelien Bompard <gauret[AT]free.fr> 1.3.6-1
- version 1.3.6
- BR libGL instead of xorg-x11-Mesa-libGL to prepare for X11R7

* Tue Oct 25 2005 Aurelien Bompard <gauret[AT]free.fr> 1.3.5-1
- version 1.3.5

* Mon Oct 24 2005 Aurelien Bompard <gauret[AT]free.fr> 1.3.4-1
- version 1.3.4
- add mysql and postgresql support
- update desktop database
- add %%doc files

* Thu Oct 13 2005 Aurelien Bompard <gauret[AT]free.fr> 1.3.3-1
- version 1.3.3
- drop endian patch

* Wed Sep 21 2005 Aurelien Bompard <gauret[AT]free.fr> 1.3.2-1
- version 1.3.2
- remove patch 4 (applied upstream)

* Sat Sep 10 2005 Aurelien Bompard <gauret[AT]free.fr> 1.3.1-2
- add patch from upstream to fix alsasink in gstreamer
- default to autoaudiosink for gstreamer

* Mon Sep 05 2005 Aurelien Bompard <gauret[AT]free.fr> 1.3.1-1
- version 1.3.1

* Tue Aug 23 2005 Aurelien Bompard <gauret[AT]free.fr> 1.3-6
- add version to obsoletes

* Tue Aug 23 2005 Aurelien Bompard <gauret[AT]free.fr> 1.3-5
- add missing Obsoletes.

* Mon Aug 22 2005 Aurelien Bompard <gauret[AT]free.fr> 1.3-4
- fix endian declaration on ppc

* Mon Aug 22 2005 Aurelien Bompard <gauret[AT]free.fr> 1.3-3
- dont build the Helix engine on arches where HelixPlayer is not built

* Mon Aug 22 2005 Aurelien Bompard <gauret[AT]free.fr> 1.3-2
- disable the akode engine (disabled upstream, see Changelog)
- merge in the Helix engine, since it does not have special Requires.
  HelixPlayer or RealPlayer need to be installed manually (either one)
- updated description

* Mon Aug 22 2005 Aurelien Bompard <gauret[AT]free.fr> 1.3-1
- update to version 1.3
- add Michel Salim's improvements:
  - call gtk-update-icon-cache to (de-)register icons
  - new output plugin subpackage: helix
  - patched gst and helix plugins' default settings

* Fri Jul 01 2005 Aurelien Bompard <gauret[AT]free.fr> 1.2.4-6
- remove -arts subpackage, it is useless

* Thu Jun  2 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 1.2.4-6.fc5
- remove temporary work-around from 1.2.4-2.fc4
- add patch to fix several missing forward declarations which let
  compilation with gcc >= 4.0.0-9 fail
- re-enable SMP make flags

* Thu Jun  2 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 1.2.4-5.fc4
- disable SMP make flags, since previous release failed miserably on
  i386 while the one before it succeeded

* Thu Jun  2 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 1.2.4-4.fc4
- set QTLIB and QTINC, so configure script does not search for Qt in
  QTDIR/lib64 on 64-bit multilib platforms

* Thu Jun  2 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 1.2.4-3.fc4
- try to fix build problems (#158654): always set QTDIR, always
  buildrequire libtool-ltdl-devel, disable %%fedora conditional BR

* Thu Jun  2 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 1.2.4-2.fc4
- temporarily add patch to work around Fedora Core bug 159090

* Mon May 23 2005 Aurelien Bompard <gauret[AT]free.fr> 1.2.4-1
- version 1.2.4
- use dist tag
- conditional builds for fc3 and fc4

* Sun May 22 2005 Jeremy Katz <katzj@redhat.com> - 1.2.3-2.fc4
- rebuild on all arches

* Tue Mar 29 2005 Aurelien Bompard <gauret[AT]free.fr> 1.2.3-1.fc4
- version 1.2.3
- add libtool to BuildRequirements
- change release tag for FC4
- add a subpackage for aKode engine

* Mon Mar 14 2005 Aurelien Bompard <gauret[AT]free.fr> 1.2.2-1
- version 1.2.2

* Sat Mar 05 2005 Aurelien Bompard <gauret[AT]free.fr> 1.2.1-1
- version 1.2.1 (bugfixes)

* Mon Feb 14 2005 Aurelien Bompard <gauret[AT]free.fr> 1.2-2
- show in the GNOME menus too

* Sun Feb 13 2005 Aurelien Bompard <gauret[AT]free.fr> 1.2-1
- version 1.2 final
- drop --disable-rpath, won't build with it.
- drop epoch

* Thu Feb 10 2005 Aurelien Bompard <gauret[AT]free.fr> 0:1.2-0.2.beta4
- version 1.2 beta 4

* Sat Nov 27 2004 Aurelien Bompard <gauret[AT]free.fr> 0:1.2-0.fdr.0.1.beta1
- version 1.2beta 1
- minor cleanups
- don't ship the desktop files, split the provided one instead

* Sun Oct 24 2004 Aurelien Bompard <gauret[AT]free.fr> 0:1.1.1-0.fdr.2
- clean-up buildrequires
- fix --with xine switch
- make a -visualisation subpackage for visualisation plugins
- make a -arts subpackage to lower dependencies

* Wed Oct 20 2004 Aurelien Bompard <gauret[AT]free.fr> 0:1.1.1-0.fdr.1
- version 1.1.1

* Mon Sep 27 2004 Aurelien Bompard <gauret[AT]free.fr> 0:1.1.0-0.fdr.2
- improve buildrequires

* Sun Sep 26 2004 Aurelien Bompard <gauret[AT]free.fr> 0:1.1.0-0.fdr.1
- version 1.1 final

* Tue Sep 14 2004 Aurelien Bompard <gauret[AT]free.fr> 0:1.1.0-0.fdr.0.1.beta2
- version 1.1 beta2

* Thu Aug 05 2004 Aurelien Bompard <gauret[AT]free.fr> 0:1.0.2-0.fdr.1
- version 1.0.2
- added new xine engine

* Tue Jul 13 2004 Aurelien Bompard <gauret[AT]free.fr> 0:1.0.1-0.fdr.3
- remove BR: libselinux-devel: RH fixed the bug

* Wed Jun 30 2004 Aurelien Bompard <gauret[AT]free.fr> 0:1.0.1-0.fdr.2
- add Requires: xorg-x11-devel because of a qt packaging bug

* Tue Jun 29 2004 Aurelien Bompard <gauret[AT]free.fr> 0:1.0.1-0.fdr.1
- version 1.0.1 (bugfixes)

* Mon Jun 21 2004 Aurelien Bompard <gauret[AT]free.fr> 0:1.0-0.fdr.3
- remove BR: xine-lib-devel
- add BR: xorg-x11-Mesa-libGL and libselinux-devel

* Thu Jun 17 2004 Aurelien Bompard <gauret[AT]free.fr> 0:1.0-0.fdr.2
- add translations

* Thu Jun 17 2004 Aurelien Bompard <gauret[AT]free.fr> 0:1.0-0.fdr.1
- version 1.0 final

* Tue Jun 01 2004 Aurelien Bompard <gauret[AT]free.fr> 0:1.0-0.fdr.0.1.beta4
- update to beta4

* Sun May 09 2004 Aurelien Bompard <gauret[AT]free.fr> 1.0-0.fdr.0.1.beta3
- version 1.0-beta3

* Fri Apr 23 2004 Aurelien Bompard <gauret[AT]free.fr> 1.0-0.fdr.0.1.beta2
- version 1.0-beta2
- use desktop-file-install
- remove .la files
- remove --enable-final (won't build with it)

* Thu Apr 15 2004 Aurelien Bompard <gauret[AT]free.fr> 1.0-0.fdr.0.1.beta1
- version 1.0-beta1
- reduce BuildRequires : arts-devel already requires arts, libvorbis-devel
  and audiofile-devel

* Mon Mar 08 2004 Aurelien Bompard <gauret[AT]free.fr> 0:0.9-0.fdr.1
- version 0.9

* Wed Feb 11 2004 Aurelien Bompard <gauret[AT]free.fr> 0.8.3-0.fdr.1
- initial package
